Bug 253807 - devel/lua-cqueues: fix SSL, update to newer version with 5.4 support
Summary: devel/lua-cqueues: fix SSL, update to newer version with 5.4 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: buildisok
Depends on:
Blocks: 254155
  Show dependency treegraph
 
Reported: 2021-02-24 03:39 UTC by andrew
Modified: 2021-03-16 18:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
Update to 20200726 and fix ssl (1.28 KB, patch)
2021-02-24 03:39 UTC, andrew
andrew: maintainer-approval?
Details | Diff
lua-cqueues 20200726 (1.61 KB, patch)
2021-02-25 11:27 UTC, Leo Vandewoestijne
freebsd: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2021-02-24 03:39:52 UTC
Created attachment 222781 [details]
Update to 20200726 and fix ssl

Existing port fails to build with ssl=openssl (rather than ssl=base) in DEFAULT_VERSIONS, due to missing -I option. (Fails at runtime with a missing symbol, due to using base's include files with port's libssl.so)

While here, update to 20200726 which adds support for Lua 5.4.
Comment 1 Automation User 2021-02-24 15:55:16 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/261187884
Comment 2 Leo Vandewoestijne 2021-02-25 11:27:35 UTC
Created attachment 222821 [details]
lua-cqueues 20200726

Spot-on! Nice, thanks.

I've improved your patch by addressing another issue at the same time
(the fixed /usr/local)

Tested OK (portlint and poudriere).
Comment 3 Leo Vandewoestijne 2021-02-25 11:35:09 UTC
For clarity: patch 222781 (-) was used to create patch 222821 (+).
Comment 4 andrew 2021-02-25 11:41:34 UTC
No, that change to /usr/local is wrong; the value of lua_OLD_CMD (used by shebangfix) is what is being searched for on the #! line of the examples in the distfile, in order to replace it, so it has to match those files regardless of ${LOCALBASE}.
Comment 5 Leo Vandewoestijne 2021-02-25 11:47:54 UTC
(In reply to andrew from comment #4)

Oh dang - of course!
(too focused on pleasing portlint)
Comment 6 Leo Vandewoestijne 2021-02-25 11:50:08 UTC
For clarity (...): patch 222781 (+) is correct, and patch 222821 (-) is not.
(and I can't set it to +)
Comment 7 Neel Chauhan freebsd_committer 2021-03-16 18:09:25 UTC
Committed!
Comment 8 commit-hook freebsd_committer 2021-03-16 18:10:02 UTC
A commit references this bug:

Author: nc
Date: Tue Mar 16 18:09:19 UTC 2021
New revision: 568595
URL: https://svnweb.freebsd.org/changeset/ports/568595

Log:
  devel/lua-cqueues: Update to 20200726 and fix SSL

  PR:		253807
  Submitted by:	andrew@tao11.riddles.org.uk, freebsd@dns.company
  Reported by:	andrew@tao11.riddles.org.uk
  Approved by:	freebsd@dns.company (maintainer)

Changes:
  head/devel/lua-cqueues/Makefile
  head/devel/lua-cqueues/distinfo